restinio::multipart_body::impl::valid_handler_type< T, restinio::utils::metaprogramming::void_t< std::enable_if_t< std::is_same< handling_result_t, decltype(std::declval< T >()(std::declval< parsed_part_t >())) >::value, bool > > > Struct Template Reference

`#include <multipart_body.hpp>`

Inheritance diagram for restinio::multipart_body::impl::valid_handler_type< T, restinio::utils::metaprogramming::void_t< std::enable_if_t< std::is_same< handling_result_t, decltype(std::declval< T >()(std::declval< parsed_part_t >())) >::value, bool > > >:

## Detailed Description

template<typename T>
struct restinio::multipart_body::impl::valid_handler_type< T, restinio::utils::metaprogramming::void_t< std::enable_if_t< std::is_same< handling_result_t, decltype(std::declval< T >()(std::declval< parsed_part_t >())) >::value, bool > > >

Definition at line 610 of file multipart_body.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/multipart_body.hpp